using System;
using System.Collections.Generic;

namespace VarekartotekApplication
{
	// definition af "Hoved-programmet" (data og metoder der findes i hovedprogrammet)
	public class VarekartotekConsoleApplication
	{
		// Application objectets memory (datafelter)
		List<Vare>  varesamling;

		// opstarts metoden (constructor)
		public VarekartotekConsoleApplication()
		{
			this.varesamling = new List<Vare>();	 // opret tom varesamling
			this.OpretTestVarer();					 // fyld data i 
			this.UdskrivAlleVarer();				 // udskriv

			Console.ReadLine();						 // Pause - vent p return !!
		}

		// metode der opretter test varer
		public void OpretTestVarer ()
		{
			varesamling.Add( new VareImpl (1001, "A4 blok ternet med huller", 10, 3.98f) );
			varesamling.Add( new VareImpl (1002, "A4 blok linieret med huller", 20, 3.88f) );
			varesamling.Add( new VareImpl (1003, "Blyant Viking 400x2", 110, 0.64f) );
		}

		// metode der udskriver en oversigt over alle varer i samlingen
		public void UdskrivAlleVarer ()
		{
			Console.WriteLine("Vare oversigt");
			foreach (Vare vare in varesamling)
			{
				this.UdskrivEnVare(vare);
			}
		}

		// metode der udskriver en enkelt vare, der angives som input-parameter
		public void UdskrivEnVare (Vare vare)
		{
			Console.WriteLine("--------------------------------------------------");
			Console.WriteLine("Varenr: " + vare.Varenr);
			Console.WriteLine("Betegnelse: " + vare.Betegnelse);
			Console.WriteLine("Antal enheder p lager: " + vare.AntalPLager);
			Console.WriteLine("Salgsvrdi: " + vare.Salgsvrdi() );//NB: metodekald
		}
	}
}
